/** cheap replacement for the much more powerful debug routines of DWARF */
#ifndef __DEBUG_H
#define __DEBUG_H

#ifndef NODEBUG

#include <iostream>
#include <string>

enum { DEBUG_ERROR = 0,
       DEBUG_WARN = 5,
       DEBUG_INFO = 10,
       DEBUG_DEBUG = 20
     };
       

static const int maxDebugLevel = 10;

#define DEBUGSTREAM(l,msg) \
		{ if(l <= maxDebugLevel) \
			std::cerr << l << " " << __FILE__ << ":" << __LINE__ << " : " << msg << std::endl; }

#else  // if NODEBUG

#define DEBUGSTREAM(l,msg) do{}while(0)

#endif // NODEBUG

#endif // __DEBUG_H
