/* ========================================================================
 * Copyright (C) 2000-2004  Technische Universitaet Muenchen
 * License: GPL v2 (or later)
 *
 * For further information please contact the DWARF team at
 * <dwarf-gnu@augmentedreality.de>
 *
 * DisplayWindowImpl.h
 * Daniel Pustka <pustka@in.tum.de> May 2004
 * Distributed Wearable Augmented Reality Framework - www.augmentedreality.de
 * For documentation and instructions, see the DWARF documentation website at
 * http://wwwbruegge.in.tum.de/projects/dwarf/doc/
 *
 * For further questions about DWARF, please contact us at
 * <dwarf@augmentedreality.de>
 * For questions about this particular service, contact
 * Daniel Pustka <pustka@in.tum.de>
 *
 * $Id: DisplayWindowImpl.cpp,v 1.2 2004/08/14 23:32:39 pustka Exp $
 */

#include "DisplayWindowImpl.h"
#include "PoseSequenceView.h"
#include <qlineedit.h>

DisplayWindowImpl::DisplayWindowImpl( QWidget* pParent, const char* pszName )
   : DisplayWindow( pParent, pszName )
   {
   setWFlags( Qt::WDestructiveClose );
   }


void DisplayWindowImpl::SetSequences( const PoseSequenceSubCollection& Seqs )
   {
   PSeqView->SetSequences( Seqs );
   }


void DisplayWindowImpl::UpdateCursorPos( double fX, double fY )
	{
	char buf[ 20 ];
	sprintf( buf, "%10.3f", fX );
	EditMouseX->setText( buf );
	sprintf( buf, "%.3f", fY );
	EditMouseY->setText( buf );
	}
