/* ========================================================================
 * Copyright (C) 2000-2004  Technische Universitaet Muenchen
 * License: GPL v2 (or later)
 *
 * For further information please contact the DWARF team at
 * <dwarf-gnu@augmentedreality.de>
 *
 * DisplayWindowImpl.h
 * Daniel Pustka <pustka@in.tum.de> May 2004
 * Distributed Wearable Augmented Reality Framework - www.augmentedreality.de
 * For documentation and instructions, see the DWARF documentation website at
 * http://wwwbruegge.in.tum.de/projects/dwarf/doc/
 *
 * For further questions about DWARF, please contact us at
 * <dwarf@augmentedreality.de>
 * For questions about this particular service, contact
 * Daniel Pustka <pustka@in.tum.de>
 *
 * $Id: DisplayWindowImpl.h,v 1.2 2004/08/14 23:32:39 pustka Exp $
 */

/**
 * @file DisplayWindowImpl.h
 * @brief Implements the DisplayWindow
 *
 * @author Daniel Pustka <pustka@in.tum.de>
 * @ingroup PoseTool
 */

#ifndef __DisplayWindow_H_
#define __DisplayWindow_H_

// autoconf generated file with configuration information
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "uic_DisplayWindow.h"

class QWidget;
class PoseSequenceSubCollection;

class DisplayWindowImpl : public DisplayWindow
   {
   Q_OBJECT

   public:
      DisplayWindowImpl( QWidget* pParent = 0, const char* pszName = 0 );
      void SetSequences( const PoseSequenceSubCollection& Seqs );

   public slots:
      void UpdateCursorPos( double fX, double fY );
   };

#endif //__DisplayWindow_H_
