/* ========================================================================
 * Copyright (C) 2000-2004  Technische Universitaet Muenchen
 * License: GPL v2 (or later)
 *
 * For further information please contact the DWARF team at
 * <dwarf-gnu@augmentedreality.de>
 *
 * MainWindowImpl.h
 * Daniel Pustka <pustka@in.tum.de> May 2004
 * Distributed Wearable Augmented Reality Framework - www.augmentedreality.de
 * For documentation and instructions, see the DWARF documentation website at
 * http://wwwbruegge.in.tum.de/projects/dwarf/doc/
 *
 * For further questions about DWARF, please contact us at
 * <dwarf@augmentedreality.de>
 * For questions about this particular service, contact
 * Daniel Pustka <pustka@in.tum.de>
 *
 * $Id: MainWindowImpl.h,v 1.2 2004/08/14 23:32:39 pustka Exp $
 */

/**
 * @file MainWindowImpl.h
 * @brief Implements the MainWindow
 *
 * @author Daniel Pustka <pustka@in.tum.de>
 * @ingroup PoseTool
 */

#ifndef __MAINWINDOW_H_
#define __MAINWINDOW_H_

// autoconf generated file with configuration information
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "uic_MainWindow.h"

class QWidget;

class MainWindowImpl : public MainWindow
   {
   Q_OBJECT

   protected:
      QString m_sLastDir;
      bool m_bUpdating;

   public:
      MainWindowImpl( QWidget* pParent = 0, const char* pszName = 0 );
      ~MainWindowImpl();

   public slots:
      virtual void Load();
      virtual void Save();
      virtual void Record();
      virtual void Play();
      virtual void Remove();
      virtual void Display();
      virtual void KalmanFilter();
      virtual void Difference();
      virtual void UpdateList();
      virtual void SigmaScale();
      virtual void Infere();
      virtual void TimeShift();
      virtual void Differentiate();
      virtual void Invert();
   };

#endif //__MAINWINDOW_H_
