/* ========================================================================
 * Copyright (C) 2000-2004  Technische Universitaet Muenchen
 * License: GPL v2 (or later)
 *
 * For further information please contact the DWARF team at
 * <dwarf-gnu@augmentedreality.de>
 *
 * SigmaScaleWindowImpl.h
 * Daniel Pustka <pustka@in.tum.de> May 2004
 * Distributed Wearable Augmented Reality Framework - www.augmentedreality.de
 * For documentation and instructions, see the DWARF documentation website at
 * http://wwwbruegge.in.tum.de/projects/dwarf/doc/
 *
 * For further questions about DWARF, please contact us at
 * <dwarf@augmentedreality.de>
 * For questions about this particular service, contact
 * Daniel Pustka <pustka@in.tum.de>
 *
 * $Id: SigmaScaleWindowImpl.h,v 1.1 2004/06/07 13:40:08 pustka Exp $
 */

/**
 * @file SigmaScaleWindowImpl.h
 * @brief Implements the SigmaScaleWindow
 *
 * @author Daniel Pustka <pustka@in.tum.de>
 * @ingroup PoseTool
 */

#ifndef __SigmaScaleWindowImpl_H_
#define __SigmaScaleWindowImpl_H_

// autoconf generated file with configuration information
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "uic_SigmaScaleWindow.h"
#include <PoseEkf.h>
#include <memory>
#include "PoseSequence.h"

class QWidget;
class QSlider;
class QLineEdit;


class SigmaScaleWindowImpl : public SigmaScaleWindow
   {
   Q_OBJECT

   protected:
      PoseSequenceSubCollection m_Sequences;
      PoseSequence* m_pDestinationSequence;

      double m_fPosScale;
      double m_fOriScale;

   public:
      SigmaScaleWindowImpl( QWidget* pParent = 0, const char* pszName = 0 );
      ~SigmaScaleWindowImpl();

      void SetSequences( const PoseSequenceSubCollection& Seqs );
      void Recompute();

   public slots:
      void PosSliderChanged();
      void OriSliderChanged();
      void SequenceChanged();
   };

#endif //__EkfWindow_H_
