/* ========================================================================
 * Copyright (C) 2000-2004  Technische Universitaet Muenchen
 * License: GPL v2 (or later)
 *
 * For further information please contact the DWARF team at
 * <dwarf-gnu@augmentedreality.de>
 *
 * TShiftWindowImpl.h
 * Daniel Pustka <pustka@in.tum.de> May 2004
 * Distributed Wearable Augmented Reality Framework - www.augmentedreality.de
 * For documentation and instructions, see the DWARF documentation website at
 * http://wwwbruegge.in.tum.de/projects/dwarf/doc/
 *
 * For further questions about DWARF, please contact us at
 * <dwarf@augmentedreality.de>
 * For questions about this particular service, contact
 * Daniel Pustka <pustka@in.tum.de>
 *
 * $Id: TShiftWindowImpl.h,v 1.1 2004/08/14 23:32:39 pustka Exp $
 */

/**
 * @file TShiftWindowImpl.h
 * @brief Implements the TShiftWindow
 *
 * @author Daniel Pustka <pustka@in.tum.de>
 * @ingroup PoseTool
 */

#ifndef __TShiftWindowImpl_H_
#define __TShiftWindowImpl_H_

// autoconf generated file with configuration information
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "uic_TShiftWindow.h"
#include <memory>
#include "PoseSequence.h"
#include "TShiftThread.h"

class QWidget;
class QSlider;
class QLineEdit;


class TShiftWindowImpl : public TShiftWindow
   {
   Q_OBJECT

   protected:
      std::auto_ptr<TShiftThread> m_pThread;

      PoseSequenceSubCollection m_Sequences;
      PoseSequence* m_pDestinationSequence;

      int m_nThreadID;

      int m_nShiftMs;

      void StartThread();
      void StopThread();

      bool event( QEvent* );

   public:
      TShiftWindowImpl( QWidget* pParent = 0, const char* pszName = 0 );
      ~TShiftWindowImpl();

      void SetSequences( const PoseSequenceSubCollection& Seqs );

   public slots:
      void SequenceChanged();
      void SliderChanged( int nValue );
   };

#endif //__TShiftWindowImpl_H_
