/***************************************************************************
 *                         main.cpp  -  description
 *                            -------------------
 *   begin                : Tue May 25 22:17:19 MEST 2004
 *   copyright            : (C) 2004 by Daniel Pustka
 *   email                : pustka@in.tum.de
 *
 *   $Id: main.cpp,v 1.1 2004/06/07 13:40:08 pustka Exp $
 *   $Revision: 1.1 $
 *
 *   This file contains the startup tasks of the ManualTracker service.
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qapplication.h>
#include "uic_MainWindow.h"
#include "MainWindowImpl.h"

#include <config.h>
#include <debug.h>
#include <memory>

#include "PoseSequence.h"

using std::auto_ptr;

int main( int argc, char ** argv )
   {
   // set up the communication with the service manager
   try
      {
      // initialize
      g_pPoseSequenceCollection = new PoseSequenceCollection;

      // instantiate Qt objects
      DEBUGSTREAM( 5, "Initializing Qt objects" );
      QApplication App( argc, argv );
      auto_ptr<MainWindowImpl> pMainWnd( new MainWindowImpl ) ;
      pMainWnd->show();

      App.connect( &App, SIGNAL( lastWindowClosed() ), &App, SLOT( quit() ) );

      // ...and let Qt do the rest.
      DEBUGSTREAM( 5, "Done with Qt construction. Executing" );
      App.exec();

      DEBUGSTREAM( 5, "Qt done." );
      }
   catch( std::string s )
      {
      DEBUGSTREAM( 1, "Caught exception: " << s );
      }

   return 0;
   }

